Bug 110585 - Server 500 no class def found
Server 500 no class def found
Status: CLOSED CURRENTRELEASE
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
6.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-21 10:46 EST by Steve Etherington
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-26 11:16:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Etherington 2003-11-21 10:46:59 EST
Description of problem:

Trying to view a page on the server causes a servlet 500 exception 
with a NoClassDefFoundError. 

Its reported two different classes as not being found, Log4j.Category 
and BaseJSP 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

500 Servlet Exception
java.lang.NoClassDefFoundError: com/arsdigita/web/BaseJSP
	at java.lang.Class.newInstance0(Native Method)
	at java.lang.Class.newInstance(Class.java:262)
	at com.caucho.jsp.JspManager.loadClass(JspManager.java:280)
	at com.caucho.jsp.JavaGenerator.compile
(JavaGenerator.java:2851)
	at com.caucho.jsp.JspGenerator.generate(JspGenerator.java:322)
	at com.caucho.jsp.JspParser.parse(JspParser.java:329)
	at com.caucho.jsp.JspParser.parse(JspParser.java:234)
	at com.caucho.jsp.JspManager.createPage(JspManager.java:172)
	at com.caucho.jsp.PageManager.getPage(PageManager.java:346)
	at com.caucho.jsp.PageManager.getPage(PageManager.java:201)
	at com.caucho.jsp.QServlet.getPage(QServlet.java:220)
	at com.caucho.server.http.FilterChainPage.doFilter
(FilterChainPage.java:129)
	at com.caucho.server.http.Invocation.service
(Invocation.java:315)
	at com.caucho.server.http.HttpRequest.handleRequest
(HttpRequest.java:246)
	at com.caucho.server.http.HttpRequest.handleConnection
(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:139)
	at java.lang.Thread.run(Thread.java:513)


----------------------------------------------------------------------
----------
Resin 2.1.9 (built Tue Apr 15 14:28:40 PDT 2003)
Comment 1 Steve Etherington 2003-11-26 11:16:45 EST
I've resolved this by adding all the cms-types* to the project.xml 
prebuilt applications section

Note You need to log in before you can comment on or make changes to this bug.